LIRC libraries LinuxInfraredRemoteControl

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

Macros | Functions
transmit.h File Reference
User-space driver API

### (ae09b60 2015-02-12 15:37:34 +0100)

Functions that prepare IR codes for transmitting. More...

`#include "ir_remote.h"`

Go to the source code of this file.

## Macros
#define | WBUF_SIZE 256

## Functions
void | send_buffer_init (void)
int | send_buffer_put (struct ir_remote *remote, struct ir_ncode *code)
int | send_buffer_length (void)
const lirc_t * | send_buffer_data (void)
lirc_t | send_buffer_sum (void)

## Detailed Description

Functions that prepare IR codes for transmitting.

Author
  Christoph Bartelmus

Operations in this module applies to the transmit buffer. The buffer is initiated using send_buffer_init(), filled with data using send_buffer_put() and accessed using send_buffer_data() and send_buffer_length().

A prepared buffer contains an even number of unsigned ints, each of which representing a pulse width in microseconds. The first item represents a pulse and the last thus a space.

Copyright (C) 1999 Christoph Bartelmus lirc@.nosp@m.bart.nosp@m.elmus.nosp@m..de

Definition in file transmit.h.